Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.interceptor
Class Fault

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.cxf.common.i18n.UncheckedException
                      org.apache.cxf.interceptor.Fault

All Implemented Interfaces:
  Serializable

    public class Fault

extends org.apache.cxf.common.i18n.UncheckedException

A Fault that occurs during invocation processing.

See Also:
  Serialized Form

Field Summary
`static QName` | `FAULT_CODE_CLIENT`
`static QName` | `FAULT_CODE_SERVER`
`static String` | `STACKTRACE`
`static String` | `STACKTRACE_NAMESPACE`

Constructor Summary
`Fault(org.apache.cxf.common.i18n.Message message)`
`Fault(org.apache.cxf.common.i18n.Message message, QName fc)`
`Fault(org.apache.cxf.common.i18n.Message message, Throwable throwable)`
`Fault(org.apache.cxf.common.i18n.Message message, Throwable throwable, QName fc)`
`Fault(String message, Logger log)`
`Fault(String message, Logger log, Throwable t)`
`Fault(String message, Logger log, Throwable t, Object... params)`
`Fault(String message, ResourceBundle b)`
`Fault(String message, ResourceBundle b, Throwable t)`
`Fault(String message, ResourceBundle b, Throwable t, Object... params)`
`Fault(Throwable t)`
`Fault(Throwable t, QName fc)`

Method Summary
`Element` | `getDetail()` Returns the detail node.
`QName` | `getFaultCode()`
`String` | `getMessage()`
`Element` | `getOrCreateDetail()` Returns the detail node.
`int` | `getStatusCode()` Returns http header status code.
`boolean` | `hasDetails()` Indicates whether this fault has a detail message.
`void` | `setDetail(Element details)` Sets a details `Node` on this fault.
`Fault` | `setFaultCode(QName c)`
`void` | `setMessage(String message)`
`void` | `setStatusCode(int statusCode)` Set http header status code on this fault.

Methods inherited from class org.apache.cxf.common.i18n.UncheckedException
`getCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FAULT_CODE_CLIENT

    public static final QName FAULT_CODE_CLIENT

### FAULT_CODE_SERVER

    public static final QName FAULT_CODE_SERVER

### STACKTRACE_NAMESPACE

    public static final String STACKTRACE_NAMESPACE

See Also:
  Constant Field Values

### STACKTRACE

    public static final String STACKTRACE

See Also:
  Constant Field Values

Constructor Detail

### Fault

    public Fault(org.apache.cxf.common.i18n.Message message,
                 Throwable throwable)

### Fault

    public Fault(org.apache.cxf.common.i18n.Message message)

### Fault

    public Fault(String message,
                 Logger log)

### Fault

    public Fault(String message,
                 ResourceBundle b)

### Fault

    public Fault(String message,
                 Logger log,
                 Throwable t)

### Fault

    public Fault(String message,
                 ResourceBundle b,
                 Throwable t)

### Fault

    public Fault(String message,
                 Logger log,
                 Throwable t,
                 Object... params)

### Fault

    public Fault(String message,
                 ResourceBundle b,
                 Throwable t,
                 Object... params)

### Fault

    public Fault(Throwable t)

### Fault

    public Fault(org.apache.cxf.common.i18n.Message message,
                 Throwable throwable,
                 QName fc)

### Fault

    public Fault(org.apache.cxf.common.i18n.Message message,
                 QName fc)

### Fault

    public Fault(Throwable t,
                 QName fc)

Method Detail

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `org.apache.cxf.common.i18n.UncheckedException`

### setMessage

    public void setMessage(String message)

### getFaultCode

    public QName getFaultCode()

### setFaultCode

    public Fault setFaultCode(QName c)

### getDetail

    public Element getDetail()

  Returns the detail node.

  Returns:
    the detail node.

### setDetail

    public void setDetail(Element details)

  Sets a details `Node` on this fault.

  Parameters:
    `details` - the detail node.

### hasDetails

    public boolean hasDetails()

  Indicates whether this fault has a detail message.

  Returns:
    `true` if this fault has a detail message; `false` otherwise.

### getOrCreateDetail

    public Element getOrCreateDetail()

  Returns the detail node. If no detail node has been set, an empty `<detail>` is created.

  Returns:
    the detail node.

### getStatusCode

    public int getStatusCode()

  Returns http header status code.

  Returns:
    status code.

### setStatusCode

    public void setStatusCode(int statusCode)

  Set http header status code on this fault.

  Parameters:
    `status` - code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF